Bug 49140 - Installer hangs, requires "ide=nodma"
Installer hangs, requires "ide=nodma"
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-15 07:21 EDT by Need Real Name
Modified: 2008-12-09 13:46 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-15 22:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-15 07:21:03 EDT
Description of Problem:
Installer hangs, requires "ide=nodma"

How Reproducible:
Very

Steps to Reproduce:
1. Try to install RH7.1
2. 
3. 

Actual Results:
Installer hangs

Expected Results:
Installer not hanging

Additional Information:
This report is submitted at the request of
http://lwn.net/2001/0712/a/rh-dma-exocore.php3

paul@bacon> cat /proc/ide/hdc/model
WPI CDD-820

Adding the "ide=nodma" flag caused the install to succeed.

Hope it helps.

Paul
Comment 1 Arjan van de Ven 2001-07-18 05:24:33 EDT
Thank you for the report. I've added your cdrom drive to the list of devices
that the kernel shouldn't try DMA on. (DMA is only tried on devices that
claim to support it, and that are not on the "blacklist").

Note You need to log in before you can comment on or make changes to this bug.